/***********************************************************************/
/*                                                                     */
/*                               Pio (C)                               */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2011-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Bruno Verlyck <Bruno.Verlyck@inria.fr>                             */
/*                                                                     */
/***********************************************************************/

#include "pio_ibuff.h"
#include "value_type_def.h"

typedef enum {
  LAYOUT_C,
  LAYOUT_FORTRAN,
} layout;

void check_layout (int dim, layout l);
void layout_to_ob (pio_buffer *ob, layout l);
layout layout_of_ib (pio_input_buffer *ib);
